# Repo Officiel du Discord Plex FR

Retrouvez-nous ici : https://discord.gg/ERpYMqS

![](https://i.imgur.com/RiGJ5pK.png)

## Table des matières  
* [docker-compose](#docker-compose)
* [wiki](#wiki)

## docker-compose
[:arrow_up:](#table-des-matires)  

### fonctionnement

Le répertoire `docker-compose/` contient uniquement les docker-compose de chaque service/application.  

L'arborescence doit être la suivante :  
`docker-compose/<app>/docker-compose.yml`  
- `<app>` : le nom de l'application ou service à rajouter

### Possibilité

Le bot pourrait appeler le contenu de chaque application selon cette commande
`.docker-compose <app>`  
Il chercherait selon l'url suivant :
`https://gitea.zoz-serv.org/Zoz/plex_fr_discord_repo/raw/branch/master/docker-compose/<app>/docker-compose.yml`  
Si HTTP 200 alors on affiche le contenu retourné  
Sinon HTTP 404 alors on affiche `la page n'existe pas`  


Exemple ok:
> `.docker-compose plex`
> renvoie le contenu de
> https://gitea.zoz-serv.org/Zoz/plex_fr_discord_repo/raw/branch/master/docker-compose/plex/docker-compose.yml

Exemple ko:
> `.docker-compose pouet`
> renvoie `La page que vous demandez n'existe pas`


**ZZ_Exemple sera supprimé à terme**

## wiki
[:arrow_up:](#table-des-matires)  

fichiers au format md (markdown)

### Possibilité

Le bot pourrait appeler le contenu de chaque application selon cette commande
`.wiki <doc>`  
Il chercherait selon l'url suivant :
`https://gitea.zoz-serv.org/Zoz/plex_fr_discord_repo/raw/branch/master/wiki/<doc>.md`  
Si HTTP 200 alors on affiche le contenu retourné  
Sinon HTTP 404 alors on affiche `la page n'existe pas`  
